<?php

namespace Drupal\entity_template_ui\Plugin\EntityTemplate\Template;

use Drupal\entity_template\Plugin\EntityTemplate\Template\TemplateInterface;

interface TemplateUIFactoryInterface {

  /**
   * Get the template UI for the template.
   *
   * @param \Drupal\entity_template\Plugin\EntityTemplate\Template\TemplateInterface $template
   *
   * @return \Drupal\entity_template_ui\Plugin\EntityTemplate\Template\TemplateUIInterface
   *
   * @throws \Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException
   */
  public function ui(TemplateInterface $template): TemplateUIInterface;

}
